:type: tcp

[id="{beatname_lc}-input-{type}"]
=== TCP input

++++
<titleabbrev>TCP</titleabbrev>
++++

Use the `TCP` input to read events over TCP.

Example configuration:

["source","yaml",subs="attributes"]
----
{beatname_lc}.inputs:
- type: tcp
  max_message_size: 10MiB
  host: "localhost:9000"
----


==== Configuration options

The `tcp` input supports the following configuration options plus the
<<{beatname_lc}-input-{type}-common-options>> described later.

include::../inputs/input-common-tcp-options.asciidoc[]

[id="{beatname_lc}-input-{type}-common-options"]
include::../inputs/input-common-options.asciidoc[]

:type!:
